Overview
GET
/integration/integration-social-notificationsintegrationList integration_social_notifications
List integration-social-notifications.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- sourceProviderstring
- notificationTypestring
- titlestring?
- bodystring?
- authorHandlestring?
- authorDisplayNamestring?
- itemUrlstring?
- isReadboolean
- isDeletedboolean
- syncVersioninteger
- externalCreatedAtstring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"notificationType": "string",
"title": "string",
"body": "string",
"authorHandle": "string",
"authorDisplayName": "string",
"itemUrl": "string",
"isRead": true,
"isDeleted": true,
"syncVersion": 0,
"externalCreatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-social-notifications" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-social-notifications", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();